[med-svn] [Git][med-team/python-wdlparse][master] 5 commits: Add autopkgtests

Mohd Bilal (@rmb) gitlab at salsa.debian.org
Sun Aug 28 18:01:35 BST 2022



Mohd  Bilal pushed to branch master at Debian Med / python-wdlparse


Commits:
571e715b by Mohammed Bilal at 2022-08-28T16:58:09+00:00
Add autopkgtests

- - - - -
08be94e7 by Mohammed Bilal at 2022-08-28T16:59:04+00:00
routine-update: Packaging update

- - - - -
c56bc594 by Mohammed Bilal at 2022-08-28T16:59:05+00:00
routine-update: Standards-Version: 4.6.1

- - - - -
8be21632 by Mohammed Bilal at 2022-08-28T16:59:44+00:00
routine-update: Ready to upload to unstable

- - - - -
e881219c by Mohammed Bilal at 2022-08-28T17:00:49+00:00
Update changelog

- - - - -


7 changed files:

- debian/changelog
- debian/control
- + debian/tests/control
- + debian/tests/run-unit-test
- + debian/tests/sample_test.py
- wdlparse.egg-info/PKG-INFO
- wdlparse.egg-info/SOURCES.txt


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,11 @@
+python-wdlparse (0.1.0-3) UNRELEASED; urgency=medium
+
+  * Team upload.
+  * Add autopkgtests
+  * routine-update: Standards-Version: 4.6.1
+
+ -- Mohammed Bilal <mdbilal at disroot.org>  Sun, 28 Aug 2022 17:00:01 +0000
+
 python-wdlparse (0.1.0-2) unstable; urgency=medium
 
   * Source-only upload.


=====================================
debian/control
=====================================
@@ -8,7 +8,7 @@ Build-Depends: debhelper-compat (= 13),
                python3-all,
                python3-setuptools,
                python3-antlr4
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-wdlparse
 Vcs-Git: https://salsa.debian.org/med-team/python-wdlparse.git
 Homepage: https://github.com/DataBiosphere/wdl-parsers


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, python3-all
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,26 @@
+#!/bin/bash
+set -e
+
+pkg=python-wdlparse
+CUR_DIR=`pwd`
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a ${CUR_DIR}/debian/tests/sample_test.py "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+echo -e "Running Tests"
+
+for py in $(py3versions -s 2> /dev/null)
+do
+    echo "Testing with $py in $(pwd):"
+    $py sample_test.py
+
+done
+
+echo -e "PASS"


=====================================
debian/tests/sample_test.py
=====================================
@@ -0,0 +1,22 @@
+from wdlparse.draft2 import wdl_parser
+
+wdl_code = """
+task my_task {
+  File file
+  command {
+    ./my_binary --input=${file} > results
+  }
+  output {
+    File results = "results"
+  }
+}
+
+workflow my_wf {
+  call my_task
+}
+"""
+# Parse source code into abstract syntax tree
+ast = wdl_parser.parse(wdl_code).ast()
+# Print out abstract syntax tree
+print(ast.dumps(indent=2))
+


=====================================
wdlparse.egg-info/PKG-INFO
=====================================
@@ -6,6 +6,8 @@ Home-page: https://github.com/DataBiosphere/wdl-parsers
 Author: William Gao
 Author-email: wlgao at ucsc.edu
 License: Apache License v2.0
-Description: UNKNOWN
 Platform: UNKNOWN
 Provides-Extra: dev
+
+UNKNOWN
+


=====================================
wdlparse.egg-info/SOURCES.txt
=====================================
@@ -1,5 +1,18 @@
+PKG-INFO
 README.md
+setup.cfg
 setup.py
+debian/changelog
+debian/control
+debian/copyright
+debian/rules
+debian/salsa-ci.yml
+debian/watch
+debian/source/format
+debian/tests/control
+debian/tests/run-unit-test
+debian/tests/sample_test.py
+debian/upstream/metadata
 wdlparse/__init__.py
 wdlparse.egg-info/PKG-INFO
 wdlparse.egg-info/SOURCES.txt



View it on GitLab: https://salsa.debian.org/med-team/python-wdlparse/-/compare/ad731e57d662f98d47cefa59563ffffacb8d8c44...e881219cdb06d04f96833ebf3f2af56955bdc8e1

-- 
View it on GitLab: https://salsa.debian.org/med-team/python-wdlparse/-/compare/ad731e57d662f98d47cefa59563ffffacb8d8c44...e881219cdb06d04f96833ebf3f2af56955bdc8e1
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20220828/0b2f86ab/attachment-0001.htm>


More information about the debian-med-commit mailing list